
Installer - Bug #34189

Candlepin errors when using an encrypted key generated with genpkey or on a FIPS enabled

machine

12/21/2021 06:51 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 3.1.2   

Difficulty:  Fixed in Releases: 3.1.2, 3.2.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ce

rts/pull/386,

https://github.com/theforeman/foreman-i

nstaller/pull/741

  

Description

Associated revisions

Revision 659baf5e - 02/02/2022 03:03 PM - Eric Helms

Fixes #34189: Unencrypt CA key when deploying for Candlepin

Introduces a new type and provider for managing a private key file.

Has the ability to decrypt the private key file when deploying

which is needed for Candlepin deployments.

History

#1 - 12/21/2021 06:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-certs/pull/386 added

#2 - 02/01/2022 10:46 AM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Target version set to 3.2.0

#3 - 02/02/2022 03:03 PM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 02/02/2022 04:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-certs|659baf5ec0806789dbf6d6868a1cd3b95b2453e4.

#5 - 02/07/2022 09:21 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/741 added

#6 - 02/07/2022 09:22 AM - Evgeni Golov

- Target version changed from 3.2.0 to 3.1.2

#7 - 02/08/2022 01:00 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-certs/revisions/659baf5ec0806789dbf6d6868a1cd3b95b2453e4


- Fixed in Releases 3.1.2 added
